jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.mobile-app-launch-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'mobile_app_launch_dismiss_notice'
        });
    });
});